Update a porting activation job
Updates the activation time of a porting activation job.
PATCH
/
porting_orders
/
{id}
/
activation_jobs
/
{activationJobId}
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const activationJob = await client.portingOrders.activationJobs.update(
'182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
{ id: '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e' },
);
console.log(activationJob.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
activation_job = client.porting_orders.activation_jobs.update(
activation_job_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(activation_job.data)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
activationJob, err := client.PortingOrders.ActivationJobs.Update(
context.TODO(),
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
telnyx.PortingOrderActivationJobUpdateParams{
ID: "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", activationJob.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.portingorders.activationjobs.ActivationJobUpdateParams;
import com.telnyx.sdk.models.portingorders.activationjobs.ActivationJobUpdateResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
ActivationJobUpdateParams params = ActivationJobUpdateParams.builder()
.id("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
.activationJobId("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
.build();
ActivationJobUpdateResponse activationJob = client.portingOrders().activationJobs().update(params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
activation_job = telnyx.porting_orders.activation_jobs.update(
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
id: "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
)
puts(activation_job)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$activationJob = $client->portingOrders->activationJobs->update(
'182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
id: '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
activateAt: new \DateTimeImmutable('2019-01-01T00:00:00Z'),
);
var_dump($activationJob);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx porting-orders:activation-jobs update \
--api-key 'My API Key' \
--id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e \
--activation-job-id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26ecurl --request PATCH \
--url https://api.telnyx.com/v2/porting_orders/{id}/activation_jobs/{activationJobId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"activate_at": "2019-01-01T00:00:00Z"
}
'{
"data": {
"id": "f1486bae-f067-460c-ad43-73a92848f902",
"activate_at": "2021-03-19T10:07:15.527Z",
"activation_windows": [
{
"start_at": "2021-03-19T10:07:15.527Z",
"end_at": "2021-03-19T10:07:15.527Z"
}
],
"record_type": "porting_activation_job",
"created_at": "2021-03-19T10:07:15.527Z",
"updated_at": "2021-03-19T10:07:15.527Z"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Porting Order id
Activation Job Identifier
Body
application/json
The desired activation time. The activation time should be between any of the activation windows.
Example:
"2019-01-01T00:00:00Z"
Response
Successful response
Show child attributes
Show child attributes
Was this page helpful?
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const activationJob = await client.portingOrders.activationJobs.update(
'182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
{ id: '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e' },
);
console.log(activationJob.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
activation_job = client.porting_orders.activation_jobs.update(
activation_job_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(activation_job.data)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
activationJob, err := client.PortingOrders.ActivationJobs.Update(
context.TODO(),
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
telnyx.PortingOrderActivationJobUpdateParams{
ID: "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", activationJob.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.portingorders.activationjobs.ActivationJobUpdateParams;
import com.telnyx.sdk.models.portingorders.activationjobs.ActivationJobUpdateResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
ActivationJobUpdateParams params = ActivationJobUpdateParams.builder()
.id("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
.activationJobId("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
.build();
ActivationJobUpdateResponse activationJob = client.portingOrders().activationJobs().update(params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
activation_job = telnyx.porting_orders.activation_jobs.update(
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
id: "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
)
puts(activation_job)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$activationJob = $client->portingOrders->activationJobs->update(
'182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
id: '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
activateAt: new \DateTimeImmutable('2019-01-01T00:00:00Z'),
);
var_dump($activationJob);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx porting-orders:activation-jobs update \
--api-key 'My API Key' \
--id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e \
--activation-job-id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26ecurl --request PATCH \
--url https://api.telnyx.com/v2/porting_orders/{id}/activation_jobs/{activationJobId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"activate_at": "2019-01-01T00:00:00Z"
}
'{
"data": {
"id": "f1486bae-f067-460c-ad43-73a92848f902",
"activate_at": "2021-03-19T10:07:15.527Z",
"activation_windows": [
{
"start_at": "2021-03-19T10:07:15.527Z",
"end_at": "2021-03-19T10:07:15.527Z"
}
],
"record_type": "porting_activation_job",
"created_at": "2021-03-19T10:07:15.527Z",
"updated_at": "2021-03-19T10:07:15.527Z"
}
}